# pandas.tseries.offsets.CustomBusinessDay

class pandas.tseries.offsets.CustomBusinessDay

  DateOffset subclass representing custom business days excluding holidays.

  Parameters
    n int, default 1
    normalize bool, default False

      Normalize start/end dates to midnight before generating date range.

    weekmask str, Default ‘Mon Tue Wed Thu Fri’

      Weekmask of valid business days, passed to `numpy.busdaycalendar`.

    holidays list

      List/array of dates to exclude from the set of valid business days, passed to `numpy.busdaycalendar`.

    calendar pd.HolidayCalendar or np.busdaycalendar
    offset timedelta, default timedelta(0)

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `offset` | Alias for self._offset.

  calendar |
  freqstr |
  holidays |
  kwds |
  n |
  name |
  nanos |
  normalize |
  rule_code |
  weekmask |

  Methods

  `__call__`(*args, **kwargs) | Call self as a function.
  `rollback` | Roll provided date backward to next offset only if not on offset.
  `rollforward` | Roll provided date forward to next offset only if not on offset.

  apply |
  apply_index |
  copy |
  isAnchored |
  is_anchored |
  is_month_end |
  is_month_start |
  is_on_offset |
  is_quarter_end |
  is_quarter_start |
  is_year_end |
  is_year_start |
  onOffset |